Create an app webkhook

POST /apps/{appId}/webhooks

Path parameters

appIdstring✻

The app ID is a unique identifier for an app.

format: uuid

Documentation

Example
"b39687c8-01eb-40fd-b312-b4de499789a2"

Request body✻

Content application/json

The request body for creating a webhook.

Documentation

Properties

activeboolean

The active flag indicates whether or not the webhook is active.

Documentation

eventsarray

The events property is an array of webhook events.

Documentation

The event is the type of payloads that is sent to the webhook.

"Object"

Documentation

secretstring✻

The secret is a confidential string used to validate the authenticity of a webhook.

16..64 characters

Documentation

Example
"7CB188E68AC8D35DAAD456E75F5F63EB9BA7079E6C2882943573E2FE0F831708"

urlstring✻

The URL is the endpoint that will receive the webhook.

format: uri

Documentation

Example
"https://example.com/webhook"

Responses

    201Created

Content application/json

Documentation

Properties

idstring✻

The webhook ID is a unique identifier for a webhook.

format: uuid

Documentation

configobject✻

The config property is an object that contains the webhook configuration.

Documentation

Properties

activeboolean✻

The active flag indicates whether or not the webhook is active.

Documentation

eventsarray✻

The events property is an array of webhook events.

Documentation

The event is the type of payloads that is sent to the webhook.

"Object"

Documentation

secretstring✻

The secret is a confidential string used to validate the authenticity of a webhook.

16..64 characters

Documentation

Example
"7CB188E68AC8D35DAAD456E75F5F63EB9BA7079E6C2882943573E2FE0F831708"

urlstring✻

The URL is the endpoint that will receive the webhook.

format: uri

Documentation

Example
"https://example.com/webhook"

typestring✻

"app""user"

Documentation

appIdstring

The app ID is a unique identifier for an app.

format: uuid

Documentation

Example
"b39687c8-01eb-40fd-b312-b4de499789a2"

userIdstring

The user ID is a unique identifier for a user.

format: uuid

Documentation

Example
"b39687c8-01eb-40fd-b312-b4de499789a2"

createdAtstring✻

The created at property is a timestamp of when it was created.

format: date-time

Documentation

Example
"2024-01-20T15:00:00Z"

updatedAtstring

The updated at property is a timestamp of when it was last updated.

format: date-time

Documentation

Example
"2024-01-22T16:00:00Z"

Security

Servers

    webhook.hedia.comhttps://webhook.hedia.com/api/v1